Orvelt

List questions

GET
/project/{projectId}/questions

List a project's guided questions.

API-key permission: questions read. Business sessions and resource-authorized OAuth tokens are also supported.

Authorization

cookieorvelt-biz.session_token<token>

An existing Business session. Browser requests must also pass origin and CSRF checks.

Path Parameters

projectId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Response Body

OK

application/json
  1. response
questions*array<>
activeCount*integer
Range0 <= value <= 9007199254740991
activeLimit*integer
Range1 <= value <= 9007199254740991
Example Request
curl -X GET 'https://api.orvelt.com/v1/project/497f6eca-6276-4993-bfeb-53cbbbba6f08/questions'
Example Response
{
  "questions": [
    {
      "id": "string",
      "familyId": "44b97bbb-267f-4989-8ce2-585694b2e454",
      "version": 1,
      "question": "string",
      "answerMode": "text_only",
      "answers": {
        "options": [
          {
            "id": "string",
            "option": "string",
            "description": "string"
          },
          {
            "id": "string",
            "option": "string",
            "description": "string"
          }
        ],
        "allowOther": true,
        "skippable": true,
        "layout": "inline",
        "chipPosition": "left",
        "otherPlaceholder": "string",
        "freeTextPlaceholder": "string",
        "freeTextMultiline": true
      },
      "tags": [
        "Trust"
      ],
      "priority": 1,
      "isAutoPriority": true,
      "isAutoTags": true,
      "status": "active",
      "responseVisibility": "default",
      "createdAt": "2019-08-24T14:15:22Z"
    }
  ],
  "activeCount": 0,
  "activeLimit": 1
}